// MIXINS, VARIABLES & EXTENDS:

@import "assets";

// BASIC LAYOUT & TYPOGRAPHY:

body {
  font-family: Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  font-size: 16px;
  background-color: #000;
  background-image: url(/img/layout/background-a.jpg);
  background-size: 100%;
  background-repeat: no-repeat;
  min-width: $body-min-width;

  main {
    display: block; // For IE11.
    max-width: $nucleus-maximum-width;
    margin: $logo-a-height + (2 * $masthead-vertical-padding) auto 0 auto !important;
    padding: $main-padding;

    &.rtl {
      direction: rtl;
    }

    &.content {
      background-color: rgba(203, 239, 236, 0.6);
      color: $basic-font-color;
      h1 {
        font-size: $typo-large-size;
        line-height: $line-height-large-size;
        font-weight: bold;
        margin-bottom: 20px;
      }
      h2 {
        font-size: $typo-big-size;
        line-height: $line-height-big-size;
        font-weight: normal;
      }
      p {
        margin-bottom: 20px;
      }
      ul,
      p,
      span,
      button {
        font-size: $typo-normal-size;
        line-height: $line-height-normal-size;
        font-weight: normal;
      }
      ul {
        list-style: disc;
        list-style-position: inside;
        li {
          padding-bottom: 2px;
        }
      }
      a {
        color: $link-color;
        text-decoration: none;
        &:hover {
          text-decoration: underline;
        }
      }
    }
  }

  // RESPONSIVENESS RULES:

  @media screen and (max-width: $tablet-width) {
    background-image: url(/img/layout/background-b.jpg);
  }
}

//	FALLBACK FOR BROWSERS INCOMPATIBLE WITH FLEXBOX:

.no-flexbox {
  body {
    background-image: none;
    background-color: white;
    div#__next {
      header,
      main {
        display: none !important;
      }
    }
  }
}
